Update pull secret
curl --request PATCH \
--url https://api.gcore.com/cloud/v1/caas/secrets/{project_id}/{region_id}/{secret_name} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"login": "login",
"password": "password",
"registry": "some.registry.com"
}
'import requests
url = "https://api.gcore.com/cloud/v1/caas/secrets/{project_id}/{region_id}/{secret_name}"
payload = {
"login": "login",
"password": "password",
"registry": "some.registry.com"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({login: 'login', password: 'password', registry: 'some.registry.com'})
};
fetch('https://api.gcore.com/cloud/v1/caas/secrets/{project_id}/{region_id}/{secret_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"login": "login",
"name": "my-secret",
"registry": "some.registry.com",
"updated_at": "2021-01-01T00:00:00Z"
}Container as a Service
Update pull secret
Update the configuration of an existing pull secret.
PATCH
/
cloud
/
v1
/
caas
/
secrets
/
{project_id}
/
{region_id}
/
{secret_name}
Update pull secret
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
Region ID
Pull secret name
Body
application/json
Was this page helpful?
⌘I